<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'deal',

    /*
     * Modules.
     */
    'modules'   => ['contacts'],

    
    'contacts'       => [
        'model' => [
            'model'                 => \Bixo\Deal\Models\Contacts::class,
            'table'                 => 'contacts',
            'presenter'             => \Bixo\Deal\Repositories\Presenter\ContactsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'account_id',  'title',  'name',  'mobile',  'phone',  'email',  'secondary_email',  'contact_type',  'nationality',  'dob',  'is_resident',  'emirates_id',  'passport',  'language',  'poa_name',  'poa_nationality',  'trade_license',  'manager_name',  'manager_nationality',  'owners',  'documents',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'deal/contacts',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Deal',
            'module'    => 'Contacts',
        ],

    ],
];
