<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateContactsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: contacts
         */
        Schema::create('contacts', function ($table) {
            $table->increments('id');
            $table->integer('account_id')->nullable();
            $table->string('title', 10)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('mobile', 255)->nullable();
            $table->string('phone', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('secondary_email', 255)->nullable();
            $table->string('contact_type', 100)->nullable();
            $table->integer('nationality')->nullable();
            $table->date('dob')->nullable();
            $table->tinyInteger('is_resident')->nullable();
            $table->string('emirates_id', 100)->nullable();
            $table->string('passport', 100)->nullable();
            $table->string('language', 255)->nullable();
            $table->string('poa_name', 100)->nullable();
            $table->integer('poa_nationality')->nullable();
            $table->string('trade_license', 255)->nullable();
            $table->string('manager_name', 100)->nullable();
            $table->integer('manager_nationality')->nullable();
            $table->text('owners')->nullable();
            $table->text('documents')->nullable();
            $table->integer('user_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('contacts');
    }
}
