<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('deal::contacts.name') !!} <small> {!! trans('app.manage') !!} {!! trans('deal::contacts.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('deal::contacts.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='deal-contacts-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('deal/contacts')!!}">{!! trans('deal::contacts.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('deal/contacts?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('deal/contacts?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('deal/contacts/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('deal::admin.contacts.partial.actions')
                    -->
                    @include('deal::admin.contacts.partial.filter')
                    @include('deal::admin.contacts.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="deal-contacts-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="deal-contacts-check-all"></th>
                        <th data-field="account_id">{!! trans('deal::contacts.label.account_id')!!}</th>
                    <th data-field="title">{!! trans('deal::contacts.label.title')!!}</th>
                    <th data-field="name">{!! trans('deal::contacts.label.name')!!}</th>
                    <th data-field="mobile">{!! trans('deal::contacts.label.mobile')!!}</th>
                    <th data-field="phone">{!! trans('deal::contacts.label.phone')!!}</th>
                    <th data-field="email">{!! trans('deal::contacts.label.email')!!}</th>
                    <th data-field="secondary_email">{!! trans('deal::contacts.label.secondary_email')!!}</th>
                    <th data-field="contact_type">{!! trans('deal::contacts.label.contact_type')!!}</th>
                    <th data-field="nationality">{!! trans('deal::contacts.label.nationality')!!}</th>
                    <th data-field="dob">{!! trans('deal::contacts.label.dob')!!}</th>
                    <th data-field="is_resident">{!! trans('deal::contacts.label.is_resident')!!}</th>
                    <th data-field="emirates_id">{!! trans('deal::contacts.label.emirates_id')!!}</th>
                    <th data-field="passport">{!! trans('deal::contacts.label.passport')!!}</th>
                    <th data-field="language">{!! trans('deal::contacts.label.language')!!}</th>
                    <th data-field="poa_name">{!! trans('deal::contacts.label.poa_name')!!}</th>
                    <th data-field="poa_nationality">{!! trans('deal::contacts.label.poa_nationality')!!}</th>
                    <th data-field="trade_license">{!! trans('deal::contacts.label.trade_license')!!}</th>
                    <th data-field="manager_name">{!! trans('deal::contacts.label.manager_name')!!}</th>
                    <th data-field="manager_nationality">{!! trans('deal::contacts.label.manager_nationality')!!}</th>
                    <th data-field="owners">{!! trans('deal::contacts.label.owners')!!}</th>
                    <th data-field="documents">{!! trans('deal::contacts.label.documents')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#deal-contacts-entry', '{!!guard_url('deal/contacts/0')!!}');
    oTable = $('#deal-contacts-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('deal/contacts') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'account_id'},
            {data :'title'},
            {data :'name'},
            {data :'mobile'},
            {data :'phone'},
            {data :'email'},
            {data :'secondary_email'},
            {data :'contact_type'},
            {data :'nationality'},
            {data :'dob'},
            {data :'is_resident'},
            {data :'emirates_id'},
            {data :'passport'},
            {data :'language'},
            {data :'poa_name'},
            {data :'poa_nationality'},
            {data :'trade_license'},
            {data :'manager_name'},
            {data :'manager_nationality'},
            {data :'owners'},
            {data :'documents'},
        ],
        "pageLength": 25
    });

    $('#deal-contacts-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#deal-contacts-list').DataTable().row( this ).data();
        $('#deal-contacts-entry').load('{!!guard_url('deal/contacts')!!}' + '/' + d.id);
    });

    $('#deal-contacts-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#deal-contacts-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#deal-contacts-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#deal-contacts-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>