<?php

// API routes  for contacts
Route::prefix('{guard}/deal')->group(function () {
    Route::get('contacts/form/{element}', 'ContactsAPIController@form');
    Route::resource('contacts', 'ContactsAPIController');
});

// Public routes for contacts
Route::get('deals/', 'ContactsPublicController@index');
Route::get('deals/{slug?}', 'ContactsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('contacts/form/{element}', 'ContactsAPIController@form');
                Route::apiResource('contacts', 'ContactsAPIController');
            });
            // Public routes for deals
            Route::get('deal/Contacts', 'ContactsPublicController@getContacts');
        }
    );
}

