<?php

// web routes  for contacts
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('contacts', 'ContactsResourceController');
});

// Public routes for contacts
Route::get('deals/', 'ContactsPublicController@index');
Route::get('deals/{slug?}', 'ContactsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ContactsResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'ContactsPublicController@index');
            Route::get('deals/{slug?}', 'ContactsPublicController@show');
        }
    );
}

