<?php

namespace Bixo\Deal\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Bixo\Deal\Interfaces\ContactsRepositoryInterface;

class ContactsPublicController extends BaseController
{
    // use ContactsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Bixo\Contacts\Interfaces\ContactsRepositoryInterface $contacts
     *
     * @return type
     */
    public function __construct(ContactsRepositoryInterface $contacts)
    {
        $this->repository = $contacts;
        parent::__construct();
    }

    /**
     * Show contacts's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $contacts = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('deal::contacts.names'))
            ->view('deal::public.contacts.index')
            ->data(compact('contacts'))
            ->output();
    }


    /**
     * Show contacts.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $contacts = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($contacts->name . trans('deal::contacts.name'))
            ->view('deal::public.contacts.show')
            ->data(compact('contacts'))
            ->output();
    }

}
