<?php

namespace Bixo\Deal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContactsTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Deal\Models\Contacts $contacts)
    {
        return [
            'id'                => $contacts->getRouteKey(),
            'key'               => [
                'public'    => $contacts->getPublicKey(),
                'route'     => $contacts->getRouteKey(),
            ], 
            'account_id'        => $contacts->account_id,
            'title'             => $contacts->title,
            'name'              => $contacts->name,
            'mobile'            => $contacts->mobile,
            'phone'             => $contacts->phone,
            'email'             => $contacts->email,
            'secondary_email'   => $contacts->secondary_email,
            'contact_type'      => $contacts->contact_type,
            'nationality'       => $contacts->nationality,
            'dob'               => $contacts->dob,
            'is_resident'       => $contacts->is_resident,
            'emirates_id'       => $contacts->emirates_id,
            'passport'          => $contacts->passport,
            'language'          => $contacts->language,
            'poa_name'          => $contacts->poa_name,
            'poa_nationality'   => $contacts->poa_nationality,
            'trade_license'     => $contacts->trade_license,
            'manager_name'      => $contacts->manager_name,
            'manager_nationality' => $contacts->manager_nationality,
            'owners'            => $contacts->owners,
            'documents'         => $contacts->documents,
            'user_id'           => $contacts->user_id,
            'deleted_at'        => $contacts->deleted_at,
            'url'               => [
                'public'    => trans_url('deal/'.$contacts->getPublicKey()),
                'user'      => guard_url('deal/contacts/'.$contacts->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contacts->status),
            'created_at'        => format_date($contacts->created_at),
            'updated_at'        => format_date($contacts->updated_at),
        ];
    }
}